Agent session management

This section contains Agent Session Manager proto files.

agent_session_manager.proto

AgentSessionManager

Agent Session Manager service API. Allows performing agent session related operations.

gRPC method definitions

gRPC method definitions
Method Name Request Type Response Type Description
StartAgentSession StartAgentSession
Request
StartAgentSession
Response
stream
This server-streaming method establishes an agent session that allows the client to monitor the agent’s extension for call events (agent login).
StopAgentSession StopAgentSession
Request
StopAgentSession
Response
This unary method terminates an agent session. As a result, all monitoring of the agent’s extension is stopped (agent logout).

Methods with HTTP bindings

StartAgentSession

  POST /v1/agent-sessions:startAgentSession  

StopAgentSession

  POST /v1/agent-sessions/{agent_session_id}:stopAgentSession  

AgentEvent

Contains the session agent ID.

AgentEvent
Field Type Description
agent_session_id string Generated agent session ID.

AgentLogoutEvent

Contains agent logout event details. Included in StartAgentSessionResponse.

AgentLogoutEvent
Field Type Description
agent_event AgentEvent Generated agent session ID.

AgentNewCallSessionEvent

Contains new call session event details. Included in StartAgentSessionResponse.

AgentNewCallSessionEvent
Field Type Description
agent_event AgentEvent Generated agent session ID.
call_session_id string Provides information about the available call and allows subscriptions based on call details.
cti_event nuance.biosec.v1.CtiEvent Contains information about the CTI event.

AgentSessionCreatedEvent

Contains create agent event details. Included in StartAgentSessionResponse.

AgentSessionCreatedEvent
Field Type Description
agent_event AgentEvent Generated agent session ID.

AgentSessionExpiredEvent

Contains session expired event details. Included in StartAgentSessionResponse.

AgentSessionExpiredEvent
Field Type Description
agent_event AgentEvent Generated agent session ID.
session_overridden bool Indicates if the session is overridden.

AgentSessionSubscriptionInformation

Contains agent session subscription information. Included in StartAgentSessionResponse.

AgentSessionSubscriptionInformation
Field Type Description
agent_event AgentEvent Generated agent session ID.
realm_id string Media Manager realm ID used for this agent session.
subscription_id string Media Manager subscription ID used for this agent session.
additional_subscription_information repeated AgentSessionSubscriptionInformation .AdditionalSubscriptionInformationEntry Additional agent session subscription information.

AgentSessionSubscriptionInformation.AdditionalSubscriptionInformationEntry

AgentSessionSubscriptionInformation.AdditionalSubscriptionInformationEntry
Field Type Description
key string  
value string  

ExistingAgentSessionEvent

Contains existing agent session event details. Included in StartAgentSessionResponse. The event is used to indicate if another session already exists for the specified extension when attempting to start an agent session.

ExistingAgentSessionEvent
Field Type Description
agent_event AgentEvent Generated agent session ID.
existing_session_established_timestamp google.protobuf.Timestamp Date and time when the existing session is established.

ServerMaintenanceEvent

Contains server maintenance event details. Included in StartAgentSessionResponse.

ServerMaintenanceEvent
Field Type Description
agent_event AgentEvent Generated agent session ID.
time_until_maintenance google.protobuf.Duration Time until the maintenance event starts.

StartAgentSessionRequest

Input message that defines parameters for StartAgentSession.

StartAgentSessionRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
agent_info nuance.biosec.v1.AgentInfo Mandatory. Specifies the agent extension that is monitored for CTI events and the ID of the agent that received the call.
session_override bool Optional. Allows overriding a session. When set to true, if a session with the specified agent_extension exists, it is terminated. Also known as session theft.
additional_login_information repeated StartAgentSessionRequest .AdditionalLoginInformationEntry Optional. Additional agent login information.

StartAgentSessionRequest.AdditionalLoginInformationEntry

StartAgentSessionRequest.AdditionalLoginInformationEntry
Field Type Description
key string  
value string  

StartAgentSessionResponse

Output message that defines parameters returned by StartAgentSession.

StartAgentSessionResponse
Field Type Description
One of agent_event:  
One of the following events.
   status nuance.rpc.Status General operation status.
   agent_session_created_event AgentSessionCreatedEvent An agent session is generated and monitored for new call sessions.
   agent_new_call_session_event AgentNewCallSessionEvent A new call session is available for this agent.
   agent_logout_event AgentLogoutEvent An agent logout request is processed.
   existing_agent_session_event ExistingAgentSessionEvent An active agent session already exists for the specified extension.
   agent_session_expired_event AgentSessionExpiredEvent The agent session has expired.
   server_maintenance_event ServerMaintenanceEvent The server undergos maintenance at the specified time.
   agent_session_subscription_information AgentSessionSubscriptionInformation The agent session subscription information.

StopAgentSessionRequest

Input message that defines parameters for StopAgentSession.

StopAgentSessionRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
agent_session_id string Mandatory. Global agent session ID generated by the Agent Session Manager.

StopAgentSessionResponse

Output message that defines parameters returned by StopAgentSession.

StopAgentSessionResponse
Field Type Description
status nuance.rpc.Status General operation status.